name: sgflutterarchitecture
description: Sentientgeeks flutter architecture.

version: 1.0.0

environment:
  sdk: ">=2.12.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  retrofit: ^2.0.1
  analyzer: ^1.7.0
  dio: ^4.0.0
  json_serializable: ^4.1.4
  retrofit_generator: ^2.0.1
  build_runner: ^2.1.4
  dartz: ^0.10.0
  data_connection_checker_tv: ^0.3.5-nullsafety
  timeago:
  webview_flutter:
  google_fonts:
  get_it: ^7.2.0
  pretty_dio_logger: ^1.2.0-beta-1
  hexcolor: ^2.0.4
  font_awesome_flutter: ^9.1.0
  charts_flutter: ^0.12.0

  cupertino_icons: ^1.0.2

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^1.0.0

flutter:
  uses-material-design: true

  assets:
    - assets/
